Subject: Re: bug#58232: 29.0.50; alloc.c:879: assertion failed: 0 < item_size && 0 < nitems_incr_min && 0 <= n0 && -1 <= nitems_max

From: Eli Zaretskii <[email-masked]>
Date: Sun, 02 Oct 2022 10:02:10 +0300

> From: Visuwesh <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 02 Oct 2022 12:26:12 +0530
> 
> [ஞாயிறு அக்டோபர் 02, 2022] Eli Zaretskii wrote:
> 
> > The core file can only be debugged on your system, so posting it is
> > not useful.  You start GDB like this:
> >
> >    $ gdb /path/to/emacs/src/emacs core
> >
> > (where "core" should be replaced with the actual absolute file name of
> > the core file), and then you can type "bt" at GDB prompt to show the
> > backtrace from the abort site.
> 
> Reading symbols from src/emacs...
> BFD: warning: /home/viz/lib/ports/emacs/core has a segment extending past end of file
> [New LWP 1524]
> 
> warning: Error reading shared library list entry at 0x6237303032326633
> Failed to read a valid object file image from memory.
> Core was generated by `emacs -Q'.
> Program terminated with signal SIGABRT, Aborted.
> #0  0x00007f772b28957c in ?? ()
> (gdb) bt
> #0  0x00007f772b28957c in ?? ()
> Backtrace stopped: Cannot access memory at address 0x7fffa3849170

Is your Emacs compiled with debug info (-g3) and unstripped (no -s)?

Also, did you set up core file size limit to "unlimited"?

> I'm observing something weird here.  If I say "emacs -Q", then I get an
> abort however if I say "src/emacs -Q", Emacs launches just fine.
> "emacs" in my PATH refers to "src/emacs"...

Yes, weird.